<?php

/* Déroulement de l'évaluation : Vous allez devoir réaliser un passage de fichiers JSON en CSV à l’aide d’un programme réalisé avec le langage PHP.
L’objectif étant d’approfondir vos connaissances ainsi que vos compétences en PHP mais également au niveau de la manipulation des données au sein d’un fichier JSON/CSV. 
Compléter le programme suivant (en vous aidant de la documentation PHP) en respectant la structure du CSV : 
Code Insee / Code postal / Commune / Nombre habitants / Rue / Ordures / Recurrence / Tri / Recurrence 
Vous devez remplacer tous les "..." */

// Emplacement du fichier
$file = 'json_clermont.json';

// Lecture entière du fichier
$content = file_get_contents($file);

// Ouverture du fichier 
$file2 = fopen($file, "r");

// Décodage de la chaîne JSON
$datasets = json_decode($content, true);

// Formatage de plusieurs ligne en CSV et écriture dans le fichier
fputcsv($file2, 
	[
	'Code Insee',
	'Code postal',
	'Commune',
	'Nombre habitants',
	'Rue',
	'Ordures',
	'Recurrence',
	'Tri',
	'Recurrence',
	]);

// DEBUG
//var_dump($file2);
$i = 0;

foreach($datasets as $dataset) 
	{
	
	/* BONUS : Séparez les jours et horaires des ordures ménagères et du tri sélectif en deux colonnes dans le fichier CSV.
	De ce fait, la structure du CSV devra donc être : 
	Code Insee / Code postal / Commune / Nombre habitants / Rue / Ordures / Horaires ordures / Recurrence / Tri / Horaires tri / Recurrence
	
	Aide : Utilisation de la fonction explode permet de scinder une chaîne de caractères en segments
	explode(...);
	
	Utilisation de la fonction preg_match_all (expression rationnelle globale) 
	et des expressions régulières (chaînes de caractères, qui décrivent, selon une syntaxe précise, 
	un ensemble de chaînes de caractères possibles)
	preg_match_all(...); */
	
	
	
	fputcsv($file2, 
		[
		substr('63113', 1),
		substr('63110', 1),
		$dataset['nom'],
		substr('145041', 1),
		$dataset['voie'],
		/*implode(' - ', $dataset[''] ?? []),
		implode(' - ', $dataset[''] ?? []),*/
		substr(' ... ', 1),
		$dataset['dechets_recyclables_jours'],
		$dataset['dechets_vegeteaux_jours'],
		substr(' ... ', 1),
		]);
		
		//DEBUG
		if($i == 0) {
			var_dump($dataset);
			echo '<br><br>';
			$i++;
		}
		
	}
 
//var_dump($file2);
	
	
?>